## cdlabelgen 1.5.0

=== Makefile ===
# Makefile for cdlabelgen

VERSION=1.5.0

# Where you want cdlabelgen and related files to be

BASE_DIR   = /usr/local
TEMPLATE   = ./postscript/template.ps
SOURCES    = cdlabelgen ChangeLog COPYING INSTALL README Makefile
POSTSCRIPT = template.ps recycle.ps recycle.epsi mp3.eps cdda.eps     \
				 cd.eps penguin.eps debian-color.eps debian-bw.eps
DISTFILES = $(SOURCES) $(POSTSCRIPT)

# just use 'cp -a' if you don't have install...
INSTALL		:= install -m 0755
INSTALL_DIR	:= install -d -m 0755
INSTALL_FILE	:= install -m 0644

all: cdlabelgen

###
install: 
	@echo "Installing cdlabelgen under $(BASE_DIR)"
	@echo ""
	$(INSTALL_DIR) $(BASE_DIR)/bin
	$(INSTALL) cdlabelgen $(BASE_DIR)/bin
	$(INSTALL_DIR) $(BASE_DIR)/share/cdlabelgen
	$(INSTALL_FILE) $(TEMPLATE) $(BASE_DIR)/share/cdlabelgen
	set -e; \
	for file in $(POSTSCRIPT); do \
		$(INSTALL_FILE) postscript/$$file $(BASE_DIR)/share/cdlabelgen/; \
	done

dist: 
	rm -rf cdlabelgen-$(VERSION)
	mkdir cdlabelgen-$(VERSION)
	mkdir cdlabelgen-$(VERSION)/postscript
	cp $(SOURCES) cdlabelgen-$(VERSION)
	cd postscript; cp $(POSTSCRIPT) ../cdlabelgen-$(VERSION)/postscript
	tar cfv cdlabelgen-$(VERSION).tar cdlabelgen-$(VERSION)
	gzip --best cdlabelgen-$(VERSION).tar
	rm -rf cdlabelgen-$(VERSION)

clean:
	rm -f *.tar.gz *~

## cdlabelgen 3.1.0

=== Makefile ===
# Makefile for cdlabelgen

VERSION = 3.1.0
ZIPVERSION = 310
# for 2.0.0, use 200, etc - note - lines above should have no spaces at end

# Where you want cdlabelgen and related files to be
# Change these to locations you need, also
# remember to edit cdlabelgen and its @where_is_the_template as needed.

BASE_DIR   = /usr/local
# BASE_DIR   = /usr/local
# BASE_DIR   = /opt
BIN_DIR   = $(BASE_DIR)/bin
LIB_DIR   = $(BASE_DIR)/lib/cdlabelgen
MAN_DIR   = $(BASE_DIR)/man
SOURCES    = cdlabelgen ChangeLog INSTALL README Makefile ../cdinsert.pl INSTALL.WEB cdlabelgen.pod cdlabelgen.1 cdlabelgen.html spec.template
POSTSCRIPT = template.ps *.eps
DISTFILES = $(SOURCES) $(POSTSCRIPT)

# just use 'cp -a' if you don't have install...
INSTALL		:= install -m 0755
INSTALL_DIR	:= install -d -m 0755
INSTALL_FILE	:= install -m 0644

# Makefile macros....
#1.  $@ is the name of the file to be made.
#2.  $? is the names of the changed dependents. 
#3.  $< the name of the related file that caused the action.
#4.  $* the prefix shared by target and dependent files. 
# ---------------

all: cdlabelgen.html cdlabelgen.1

cdlabelgen.html: cdlabelgen.pod
	pod2html --outfile=$@ --infile=$?
	rm -f pod2html-dircache pod2html-itemcache pod2htm?.???

cdlabelgen.1: cdlabelgen.pod
	pod2man $? $@

###
install: all
	@echo "Installing cdlabelgen in $(BIN_DIR) and $(LIB_DIR)"
	@echo ""
	$(INSTALL_DIR) $(BIN_DIR)
	$(INSTALL) cdlabelgen $(BIN_DIR)
	$(INSTALL) cdlabelgen.1 $(MAN_DIR)/man1
	$(INSTALL_DIR) $(LIB_DIR)
	set -e; \
	for file in $(POSTSCRIPT); do \
		$(INSTALL_FILE) postscript/$$file $(LIB_DIR)/; \
	done
	@echo "** Done. Check $(BIN_DIR)/cdlabelgen and fix @where_is_the_template - if needed!"

cdlabelgen-$(VERSION).spec: spec.template
	sed -e "s/TAG_VERSION/$(VERSION)/" < $? > $@
	
dist: all cdlabelgen-$(VERSION).spec
	rm -rf cdlabelgen-$(VERSION)
	mkdir cdlabelgen-$(VERSION)
	mkdir cdlabelgen-$(VERSION)/postscript
	cp $(SOURCES) cdlabelgen-$(VERSION)/
	mv cdlabelgen-$(VERSION).spec cdlabelgen-$(VERSION)/
	cd postscript; cp $(POSTSCRIPT) ../cdlabelgen-$(VERSION)/postscript
	rm -f cdlbl$(ZIPVERSION).zip cdlabelgen-$(VERSION).tgz
	zip -r cdlbl$(ZIPVERSION) cdlabelgen-$(VERSION)
	tar cvzf cdlabelgen-$(VERSION).tgz cdlabelgen-$(VERSION)
	rm -rf cdlabelgen-$(VERSION)

clean:
	rm -f *.tgz *~

## cdlabelgen 3.5.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for cdlabelgen
 
-VERSION = 3.1.0
-ZIPVERSION = 310
+VERSION = 3.5.0
+ZIPVERSION = 350
 # for 2.0.0, use 200, etc - note - lines above should have no spaces at end
 
 # Where you want cdlabelgen and related files to be

## cdlabelgen 3.6.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for cdlabelgen
 
-VERSION = 3.5.0
-ZIPVERSION = 350
+VERSION = 3.6.0
+ZIPVERSION = 360
 # for 2.0.0, use 200, etc - note - lines above should have no spaces at end
 
 # Where you want cdlabelgen and related files to be
@@ -45,7 +45,7 @@
 	@echo ""
 	$(INSTALL_DIR) $(BIN_DIR)
 	$(INSTALL) cdlabelgen $(BIN_DIR)
-	$(INSTALL) cdlabelgen.1 $(MAN_DIR)/man1
+	$(INSTALL_FILE) cdlabelgen.1 $(MAN_DIR)/man1
 	$(INSTALL_DIR) $(LIB_DIR)
 	set -e; \
 	for file in $(POSTSCRIPT); do \

## cdlabelgen 4.0.0

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,19 @@
 # Makefile for cdlabelgen
 
-VERSION = 3.6.0
-ZIPVERSION = 360
+VERSION = 4.0.0
+ZIPVERSION = 400
 # for 2.0.0, use 200, etc - note - lines above should have no spaces at end
 
 # Where you want cdlabelgen and related files to be
 # Change these to locations you need, also
 # remember to edit cdlabelgen and its @where_is_the_template as needed.
 
-BASE_DIR   = /usr/local
+BASE_DIR   = /usr
 # BASE_DIR   = /usr/local
 # BASE_DIR   = /opt
 BIN_DIR   = $(BASE_DIR)/bin
-LIB_DIR   = $(BASE_DIR)/lib/cdlabelgen
-MAN_DIR   = $(BASE_DIR)/man
+LIB_DIR   = $(BASE_DIR)/share/cdlabelgen
+MAN_DIR   = $(BASE_DIR)/share/man
 SOURCES    = cdlabelgen ChangeLog INSTALL README Makefile ../cdinsert.pl INSTALL.WEB cdlabelgen.pod cdlabelgen.1 cdlabelgen.html spec.template
 POSTSCRIPT = template.ps *.eps
 DISTFILES = $(SOURCES) $(POSTSCRIPT)

## cdlabelgen 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for cdlabelgen
 
-VERSION = 4.0.0
-ZIPVERSION = 400
+VERSION = 4.1.0
+ZIPVERSION = 410
 # for 2.0.0, use 200, etc - note - lines above should have no spaces at end
 
 # Where you want cdlabelgen and related files to be

## cdlabelgen 4.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 # Makefile for cdlabelgen
 
-VERSION = 4.1.0
-ZIPVERSION = 410
+SHELL = /bin/bash
+
+VERSION = 4.3.0
+ZIPVERSION = 430
 # for 2.0.0, use 200, etc - note - lines above should have no spaces at end
 
 # Where you want cdlabelgen and related files to be
@@ -14,7 +16,8 @@
 BIN_DIR   = $(BASE_DIR)/bin
 LIB_DIR   = $(BASE_DIR)/share/cdlabelgen
 MAN_DIR   = $(BASE_DIR)/share/man
-SOURCES    = cdlabelgen ChangeLog INSTALL README Makefile ../cdinsert.pl INSTALL.WEB cdlabelgen.pod cdlabelgen.1 cdlabelgen.html spec.template
+WEBSOURCES= ../cdinsert.pl ../cdinsert-ps.pl ../cdlabelgen-form.html
+SOURCES    = cdlabelgen ChangeLog INSTALL README Makefile INSTALL.WEB cdlabelgen.pod cdlabelgen.1 cdlabelgen.html spec.template $(WEBSOURCES)
 POSTSCRIPT = template.ps *.eps
 DISTFILES = $(SOURCES) $(POSTSCRIPT)
 
@@ -28,6 +31,10 @@
 #2.  $? is the names of the changed dependents. 
 #3.  $< the name of the related file that caused the action.
 #4.  $* the prefix shared by target and dependent files. 
+# ---------------
+# rpmbuild creates packages here, should be writeable by CGI user/group
+# RPM_TOPDIR	:= /usr/src/redhat
+RPM_TOPDIR	:= $(HOME)/rpmbuild
 # ---------------
 
 all: cdlabelgen.html cdlabelgen.1
@@ -67,6 +74,15 @@
 	zip -r cdlbl$(ZIPVERSION) cdlabelgen-$(VERSION)
 	tar cvzf cdlabelgen-$(VERSION).tgz cdlabelgen-$(VERSION)
 	rm -rf cdlabelgen-$(VERSION)
+	# On Ubuntu, the following command fails to create .rpm file,
+	# and then errors on check files stage. Fixed: allow unpackaged files in spec.template
+	# rpmbuild -ta cdlabelgen-$(VERSION).tgz  # fails, src can't be built. Ok, build bin only.
+	# mv $(RPM_TOPDIR)/RPMS/noarch/cdlabelgen-$(VERSION)*noarch.rpm .
+	mkdir -p $(RPM_TOPDIR)/{BUILD,RPMS,SPECS}
+	rpmbuild --target=noarch -tb cdlabelgen-$(VERSION).tgz
+	mv $(RPM_TOPDIR)/RPMS/noarch/cdlabelgen-$(VERSION)*noarch.rpm .
+	# .rpm not worth the trouble - can't install it, reports "Error: failed dependencies" even
+	# though system has it... and other such problems.
 
 clean:
 	rm -f *.tgz *~

=== debian/changelog ===
cdlabelgen (4.3.0-4) unstable; urgency=medium

  * Team upload.
  * debian/control: remove Author field.
  * debian/clean: remove files which are (re-)generated during build.
    (Closes: #1043888)
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.
  * Wrap long lines in changelog entries: 4.3.0-3.
  * debian/copyright: use HTTPS for upstream URL.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Aug 2023 15:47:03 +0200

cdlabelgen (4.3.0-3) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: use uscan macros and drop unused dversionmangle.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set Testsuite header for perl package.
  * Apply multi-arch hints.
    + cdlabelgen: Add :any qualifier for perl dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 14:21:11 +0000

cdlabelgen (4.3.0-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Jun 2022 17:35:40 +0100

cdlabelgen (4.3.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:44:13 +0100

cdlabelgen (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * refreshed package files
  * added patch to fix man page issues (lintian)
  * control: removed Juan and Stephen from uploaders.
    Thanks for your work (Closes: #838407)

 -- Dominique Dumont <dod@debian.org>  Mon, 21 Nov 2016 13:47:22 +0100

cdlabelgen (4.1.0-2) unstable; urgency=low

  * Update Author and Homepage. Thanks, Simon. Closes: #518629.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Tue, 10 Mar 2009 16:20:16 +0100

cdlabelgen (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Recommends ghostscript, not gs.
  * Move Homepage information to a field in debian/control.
  * Bump Standards-Version to 3.8.0 (no changes needed).

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat, 01 Nov 2008 21:44:47 +0100

cdlabelgen (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.7.2.2 (no changes needed).
  * Extract DH_COMPAT from debian/rules (created debian/compat). Update
    debhelper to 5.0.0.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Fri, 21 Sep 2007 18:08:07 +0200

cdlabelgen (3.6.0-2) unstable; urgency=low

  * Fix download URL in copyright file. Closes: #356471.
  * Update Standards-Version to 3.7.2, no changes needed.
  * Remove debian/TODO.Debian file, because the only item it contained
    was corrected few months ago.
  * Dependencies: debhelper moved from Build-Depends-Indep to Build-
    Depends.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat, 17 Jun 2006 10:41:07 +0200

cdlabelgen (3.6.0-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.6.2, no changes needed.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat, 27 Aug 2005 13:37:13 +0200

cdlabelgen (3.5.0-1) unstable; urgency=low

  * New upstream release

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat, 22 Jan 2005 12:57:26 +0100

cdlabelgen (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sun, 26 Dec 2004 17:29:05 +0100

cdlabelgen (3.0.0-4) unstable; urgency=low

  * Include INSTALL.WEB upstream file, with valuable info for using
    cdlabelgen as web label creation tool.
  * Add lintian override to avoid a warning regarding the absence of
    installation instructions doc in packages for users.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat, 16 Oct 2004 17:27:57 +0200

cdlabelgen (3.0.0-3) unstable; urgency=low

  * Closes: #272825: Whish: support of slim dvd cases.
  * Fix font size in slim dvd cases, thanks to Dominique Dumont
    <domi.dummont@free.fr>.
  * Reference to DVD support in package description.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat,  2 Oct 2004 11:59:23 +0200

cdlabelgen (3.0.0-2) unstable; urgency=low

  * Avoid non-UTF8 characters in text files
  * Refine copyright info obtained from cdlabelgen
  * Added suport for slim DVD cases, thanks to Dominique Dumont
    <domi.dumont@free.fr>.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Fri,  1 Oct 2004 23:43:08 +0200

cdlabelgen (3.0.0-1) unstable; urgency=low

  * New upstream version (added DVD case support)

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sun, 16 Nov 2003 12:53:56 +0100

cdlabelgen (2.6.1-3) unstable; urgency=low

  * Use 'head/tail -n 1' instead of 'head/tail -1'

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat, 27 Sep 2003 13:41:18 +0200

cdlabelgen (2.6.1-2) unstable; urgency=low

  * debian/rules cleanup
  * Automatic generation of copyright file from cdlabelgen script
  * Bumped Standards-Version: to 3.6.1
  * Use DH_COMPAT=4 (not DH_COMPAT=3) in debian/rules
  * Change maintainer email address

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sun,  7 Sep 2003 11:17:27 +0200

cdlabelgen (2.6.1-1) unstable; urgency=low

  * New upstream release
  * Use dh_installman instead of dh_installmanpages

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Wed, 30 Jul 2003 12:29:38 +0200

cdlabelgen (2.6.0-3) unstable; urgency=low

  * Package adopted (Closes: #202544).
  * Bumped Standards-Version: to 3.6.0.
  * Remove useless debian/cdlabelgen.{postinst,prerm} scripts.
  * Change debhelper dependency to make lintian happier.
  * Added Stephen Gran to Uploaders:.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sun, 27 Jul 2003 23:19:36 +0200



=== debian/control ===
Source: cdlabelgen
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>
Section: graphics
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/cdlabelgen
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/cdlabelgen.git
Homepage: https://www.aczoom.com/tools/cdinsert/
Rules-Requires-Root: no

Package: cdlabelgen
Architecture: all
Depends: ${misc:Depends},
         perl:any
Recommends: ghostscript
Description: generates front cards and tray cards for CDs and DVDs
 cdlabelgen was designed to simplify the process of
 generating labels for CDs and DVDs. It originated as a program
 to allow auto generation of front cards and tray cards for CDs
 burned via an automated mechanism (specifically for archiving
 data), but has now become popular for labelling CD
 compilations of mp3's, and copies of CDs. Note that cdlabelgen
 does not actually print anything--it just spits out
 postscript, which you can then do with as you please.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://www.aczoom.com/tools/cdinsert/  .*/cdlabelgen-v?@ANY_VERSION@@ARCHIVE_EXT@$
